/**
 * @file
 * JavaScript for Image Template form functionality.
 */

(function ($, Drupal) {
  'use strict';

  /**
   * Behavior for Image Template form enhancements.
   */
  Drupal.behaviors.imageTemplateForm = {
    attach: function (context, settings) {
      // Add any additional form enhancements here
      $('#edit-content-type', context).once('image-template-form').each(function () {
        $(this).on('change', function () {
          // Show loading indicator while AJAX processes
          $('#target-field-wrapper').addClass('ajax-loading');
        });
      });

      // Remove loading indicator when AJAX completes
      $(document).ajaxComplete(function () {
        $('#target-field-wrapper').removeClass('ajax-loading');
      });
    }
  };

})(jQuery, Drupal);
